# $Revision: 1.15 $, $Date: 2004/05/06 18:21:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Checker
Summary:	String::Checker - an extensible string validation module
Summary(pl):	String::Checker - rozszerzalny modu sprawdzajcy poprawno acuchw
Name:		perl-String-Checker
Version:	0.03
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d7187638b490464c209f6d132450f0cb
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-Date-Manip}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple library for checking a string against a given
set of expectations. It contains a number of pre-defined expectations
which can be used, and can also be extended to perform any arbitrary
match or modification on a string.

%description -l pl
To jest bardzo prosta biblioteka do sprawdzania acucha pod ktem
podanego zestawu oczekiwa. Zawiera wiele predefiniowanych oczekiwa,
ktre mog by uyte, a take rozszerzone tak, aby przeprowadzi
dowolne dopasowanie lub modyfikacj acucha.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Checker.spec,v $
Revision 1.15  2004/05/06 18:21:08  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.13  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.12  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.11  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/17 18:31:56  misiek
- simplify

Revision 1.5  2003/03/01 20:46:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:23  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
